# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.28

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/hce/uc-modern-cpp-student/cc

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/hce/uc-modern-cpp-student/build

# Include any dependencies generated for this target.
include CMakeFiles/uctc.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include CMakeFiles/uctc.dir/compiler_depend.make

# Include the progress variables for this target.
include CMakeFiles/uctc.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/uctc.dir/flags.make

CMakeFiles/uctc.dir/uctc.cc.o: CMakeFiles/uctc.dir/flags.make
CMakeFiles/uctc.dir/uctc.cc.o: /home/hce/uc-modern-cpp-student/cc/uctc.cc
CMakeFiles/uctc.dir/uctc.cc.o: CMakeFiles/uctc.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/hce/uc-modern-cpp-student/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object CMakeFiles/uctc.dir/uctc.cc.o"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/uctc.dir/uctc.cc.o -MF CMakeFiles/uctc.dir/uctc.cc.o.d -o CMakeFiles/uctc.dir/uctc.cc.o -c /home/hce/uc-modern-cpp-student/cc/uctc.cc

CMakeFiles/uctc.dir/uctc.cc.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/uctc.dir/uctc.cc.i"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/hce/uc-modern-cpp-student/cc/uctc.cc > CMakeFiles/uctc.dir/uctc.cc.i

CMakeFiles/uctc.dir/uctc.cc.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/uctc.dir/uctc.cc.s"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/hce/uc-modern-cpp-student/cc/uctc.cc -o CMakeFiles/uctc.dir/uctc.cc.s

CMakeFiles/uctc.dir/math/arith.cc.o: CMakeFiles/uctc.dir/flags.make
CMakeFiles/uctc.dir/math/arith.cc.o: /home/hce/uc-modern-cpp-student/cc/math/arith.cc
CMakeFiles/uctc.dir/math/arith.cc.o: CMakeFiles/uctc.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/hce/uc-modern-cpp-student/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object CMakeFiles/uctc.dir/math/arith.cc.o"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/uctc.dir/math/arith.cc.o -MF CMakeFiles/uctc.dir/math/arith.cc.o.d -o CMakeFiles/uctc.dir/math/arith.cc.o -c /home/hce/uc-modern-cpp-student/cc/math/arith.cc

CMakeFiles/uctc.dir/math/arith.cc.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/uctc.dir/math/arith.cc.i"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/hce/uc-modern-cpp-student/cc/math/arith.cc > CMakeFiles/uctc.dir/math/arith.cc.i

CMakeFiles/uctc.dir/math/arith.cc.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/uctc.dir/math/arith.cc.s"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/hce/uc-modern-cpp-student/cc/math/arith.cc -o CMakeFiles/uctc.dir/math/arith.cc.s

CMakeFiles/uctc.dir/operators/nn.cc.o: CMakeFiles/uctc.dir/flags.make
CMakeFiles/uctc.dir/operators/nn.cc.o: /home/hce/uc-modern-cpp-student/cc/operators/nn.cc
CMakeFiles/uctc.dir/operators/nn.cc.o: CMakeFiles/uctc.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/hce/uc-modern-cpp-student/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object CMakeFiles/uctc.dir/operators/nn.cc.o"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/uctc.dir/operators/nn.cc.o -MF CMakeFiles/uctc.dir/operators/nn.cc.o.d -o CMakeFiles/uctc.dir/operators/nn.cc.o -c /home/hce/uc-modern-cpp-student/cc/operators/nn.cc

CMakeFiles/uctc.dir/operators/nn.cc.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/uctc.dir/operators/nn.cc.i"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/hce/uc-modern-cpp-student/cc/operators/nn.cc > CMakeFiles/uctc.dir/operators/nn.cc.i

CMakeFiles/uctc.dir/operators/nn.cc.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/uctc.dir/operators/nn.cc.s"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/hce/uc-modern-cpp-student/cc/operators/nn.cc -o CMakeFiles/uctc.dir/operators/nn.cc.s

CMakeFiles/uctc.dir/operators/ops.cc.o: CMakeFiles/uctc.dir/flags.make
CMakeFiles/uctc.dir/operators/ops.cc.o: /home/hce/uc-modern-cpp-student/cc/operators/ops.cc
CMakeFiles/uctc.dir/operators/ops.cc.o: CMakeFiles/uctc.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/hce/uc-modern-cpp-student/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object CMakeFiles/uctc.dir/operators/ops.cc.o"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/uctc.dir/operators/ops.cc.o -MF CMakeFiles/uctc.dir/operators/ops.cc.o.d -o CMakeFiles/uctc.dir/operators/ops.cc.o -c /home/hce/uc-modern-cpp-student/cc/operators/ops.cc

CMakeFiles/uctc.dir/operators/ops.cc.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/uctc.dir/operators/ops.cc.i"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/hce/uc-modern-cpp-student/cc/operators/ops.cc > CMakeFiles/uctc.dir/operators/ops.cc.i

CMakeFiles/uctc.dir/operators/ops.cc.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/uctc.dir/operators/ops.cc.s"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/hce/uc-modern-cpp-student/cc/operators/ops.cc -o CMakeFiles/uctc.dir/operators/ops.cc.s

CMakeFiles/uctc.dir/tensor/tensor.cc.o: CMakeFiles/uctc.dir/flags.make
CMakeFiles/uctc.dir/tensor/tensor.cc.o: /home/hce/uc-modern-cpp-student/cc/tensor/tensor.cc
CMakeFiles/uctc.dir/tensor/tensor.cc.o: CMakeFiles/uctc.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/hce/uc-modern-cpp-student/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building CXX object CMakeFiles/uctc.dir/tensor/tensor.cc.o"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/uctc.dir/tensor/tensor.cc.o -MF CMakeFiles/uctc.dir/tensor/tensor.cc.o.d -o CMakeFiles/uctc.dir/tensor/tensor.cc.o -c /home/hce/uc-modern-cpp-student/cc/tensor/tensor.cc

CMakeFiles/uctc.dir/tensor/tensor.cc.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/uctc.dir/tensor/tensor.cc.i"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/hce/uc-modern-cpp-student/cc/tensor/tensor.cc > CMakeFiles/uctc.dir/tensor/tensor.cc.i

CMakeFiles/uctc.dir/tensor/tensor.cc.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/uctc.dir/tensor/tensor.cc.s"
	/usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/hce/uc-modern-cpp-student/cc/tensor/tensor.cc -o CMakeFiles/uctc.dir/tensor/tensor.cc.s

# Object files for target uctc
uctc_OBJECTS = \
"CMakeFiles/uctc.dir/uctc.cc.o" \
"CMakeFiles/uctc.dir/math/arith.cc.o" \
"CMakeFiles/uctc.dir/operators/nn.cc.o" \
"CMakeFiles/uctc.dir/operators/ops.cc.o" \
"CMakeFiles/uctc.dir/tensor/tensor.cc.o"

# External object files for target uctc
uctc_EXTERNAL_OBJECTS =

uctc.cpython-311-x86_64-linux-gnu.so: CMakeFiles/uctc.dir/uctc.cc.o
uctc.cpython-311-x86_64-linux-gnu.so: CMakeFiles/uctc.dir/math/arith.cc.o
uctc.cpython-311-x86_64-linux-gnu.so: CMakeFiles/uctc.dir/operators/nn.cc.o
uctc.cpython-311-x86_64-linux-gnu.so: CMakeFiles/uctc.dir/operators/ops.cc.o
uctc.cpython-311-x86_64-linux-gnu.so: CMakeFiles/uctc.dir/tensor/tensor.cc.o
uctc.cpython-311-x86_64-linux-gnu.so: CMakeFiles/uctc.dir/build.make
uctc.cpython-311-x86_64-linux-gnu.so: CMakeFiles/uctc.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/home/hce/uc-modern-cpp-student/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Linking CXX shared module uctc.cpython-311-x86_64-linux-gnu.so"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/uctc.dir/link.txt --verbose=$(VERBOSE)
	/usr/bin/cmake -E echo Changing\ directory\ and\ running\ Python\ script\ for\ generate\ interpreter\ annotations
	/usr/bin/cmake -E chdir /home/hce/uc-modern-cpp-student/build pybind11-stubgen uctc --output-dir .

# Rule to build all files generated by this target.
CMakeFiles/uctc.dir/build: uctc.cpython-311-x86_64-linux-gnu.so
.PHONY : CMakeFiles/uctc.dir/build

CMakeFiles/uctc.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/uctc.dir/cmake_clean.cmake
.PHONY : CMakeFiles/uctc.dir/clean

CMakeFiles/uctc.dir/depend:
	cd /home/hce/uc-modern-cpp-student/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/hce/uc-modern-cpp-student/cc /home/hce/uc-modern-cpp-student/cc /home/hce/uc-modern-cpp-student/build /home/hce/uc-modern-cpp-student/build /home/hce/uc-modern-cpp-student/build/CMakeFiles/uctc.dir/DependInfo.cmake "--color=$(COLOR)"
.PHONY : CMakeFiles/uctc.dir/depend

